This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 660159 - Review Request: thunar-vfs - Virtual filesystem shipped with Thunar 1.0 and earlier releases
Review Request: thunar-vfs - Virtual filesystem shipped with Thunar 1.0 and e...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-05 17:50 EST by Christoph Wickert
Modified: 2011-01-09 15:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-09 15:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-12-05 17:50:21 EST
Spec URL: http://cwickert.fedorapeople.org/review/thunar-vfs.spec
SRPM URL: http://cwickert.fedorapeople.org/review/thunar-vfs-1.1.1-1.fc15.src.rpm
Description: This package contains the virtual filesystem shipped with Thunar 1.0 and earlier releases. It provides compatibility for applications that still use thunar-vfs while Thunar was ported to GVFS.

Note: This package is targeted at Xfce 4.8 and conflicts wich Thunar < 1.1.0. You will need to use the Xfce 4.8 repo from 
http://repos.fedorapeople.org/repos/cwickert/xfce-4.8/ in order to build the package.
Comment 1 Kevin Fenzi 2010-12-05 18:06:17 EST
I'll go ahead and review this later today or in the next few days. 
Look for a full review then.
Comment 2 Kevin Fenzi 2010-12-07 19:13:00 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. [2]
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[!]  Rpmlint output is silent.
[x]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  License file installed when any subpackage combination is installed.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines. [3,4]
[x]  Sources contain only permissible code or content.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

2e9eb4d5d414d946a4c8268415eaecde  thunar-vfs-1.1.1.tar.bz2
2e9eb4d5d414d946a4c8268415eaecde  thunar-vfs-1.1.1.tar.bz2.orig


[x]  Compiler flags are appropriate.
[x]  %build honors applicable compiler flags or justifies otherwise.
[x]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[x]  Package contains code, or permissable content.
[x]  File names are valid UTF-8.
[x]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[x]  Header files in -devel subpackage, if present.
[x]  Static libraries in -static subpackage, if present.
[x]  Package contains no static executables.
[x]  Package requires pkgconfig, if .pc files are present.
[x]  Development .so files in -devel subpackage, if present.
[x]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Useful -debuginfo package or justification otherwise.
[x]  Rpath absent or only used for internal libs.
[x]  Package does not genrate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
[x]  Package functions as described.
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[x]  SourceX is a working URL.
[x]  SourceX / PatchY prefixed with %{name}.
[x]  Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x]  %check is present and all tests pass.
[x]  Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[x]  Reviewer should test that the package builds in mock.
[x]  Package should compile and build into binary rpms on all supported architectures.
[x]  Dist tag is present.
[x]  Spec use %global instead of %define.
[x]  Scriptlets must be sane, if used.
[x]  The placement of pkgconfig(.pc) files are correct.
[x]  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]  Packages should try to preserve timestamps of original installed files.
[x]  File based requires are sane.
[x]  Uses parallel make.

=== Issues ===
1. Why the commented out: 

#BuildRequires:  libICE-devel
#Requires:       dbus-x11

?

2. rpmlint says: 

thunar-vfs.i686: W: incoherent-version-in-changelog 0.1.1-1 ['1.1.1-1.fc15', '1.1.1-1']
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Your changelog version is wrong. ;) 

You can fix the changelog and comment on or remove the commented requires on import. 
I see no blockers, so this package is APPROVED. 

I'm happy to co-maintain.
Comment 3 Christoph Wickert 2010-12-08 16:53:49 EST
(In reply to comment #2)
> Package Review
> ==============
> 
> Key:
> - = N/A
> x = Check
> ! = Problem
> ? = Not evaluated
> 
> === REQUIRED ITEMS ===
> [x]  Package is named according to the Package Naming Guidelines. [1]
> [x]  Spec file name must match the base package %{name}, in the format
> %{name}.spec.
> [x]  Spec file is legible and written in American English.
> [x]  Spec file lacks Packager, Vendor, PreReq tags.
> [x]  Spec uses macros instead of hard-coded directory names.
> [x]  Package consistently uses macros.
> [x]  Macros in Summary, %description expandable at SRPM build time.
> [x]  PreReq is not used.
> [x]  Requires correct, justified where necessary.
> [x]  All build dependencies are listed in BuildRequires, except for any that
> are listed in the exceptions section of Packaging Guidelines. [2]
> [x]  Buildroot is correct
> (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
> [x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of
> %install.
> [x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't
> work.
> [x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
> $RPM_BUILD_ROOT).
> [x]  The spec file handles locales properly.
> [x]  Changelog in prescribed format.
> [!]  Rpmlint output is silent.
> [x]  License field in the package spec file matches the actual license.
> [x]  If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package is included in %doc.
> [x]  License file installed when any subpackage combination is installed.
> [x]  Package is licensed with an open-source compatible license and meets other
> legal requirements as defined in the legal section of Packaging Guidelines.
> [3,4]
> [x]  Sources contain only permissible code or content.
> [x]  Sources used to build the package matches the upstream source, as provided
> in the spec URL.
> 
> 2e9eb4d5d414d946a4c8268415eaecde  thunar-vfs-1.1.1.tar.bz2
> 2e9eb4d5d414d946a4c8268415eaecde  thunar-vfs-1.1.1.tar.bz2.orig
> 
> 
> [x]  Compiler flags are appropriate.
> [x]  %build honors applicable compiler flags or justifies otherwise.
> [x]  ldconfig called in %post and %postun if required.
> [x]  Package must own all directories that it creates.
> [x]  Package does not own files or directories owned by other packages.
> [x]  Package requires other packages for directories it uses.
> [x]  Package does not contain duplicates in %files.
> [x]  Permissions on files are set properly.
> [x]  Each %files section contains %defattr.
> [x]  Package contains code, or permissable content.
> [x]  File names are valid UTF-8.
> [x]  Large documentation files are in a -doc subpackage, if required.
> [x]  Package uses nothing in %doc for runtime.
> [x]  Package contains no bundled libraries.
> [x]  Header files in -devel subpackage, if present.
> [x]  Static libraries in -static subpackage, if present.
> [x]  Package contains no static executables.
> [x]  Package requires pkgconfig, if .pc files are present.
> [x]  Development .so files in -devel subpackage, if present.
> [x]  Fully versioned dependency in subpackages, if present.
> [x]  Package does not contain any libtool archives (.la).
> [x]  Useful -debuginfo package or justification otherwise.
> [x]  Rpath absent or only used for internal libs.
> [x]  Package does not genrate any conflict.
> [x]  Package does not contains kernel modules.
> [x]  Package is not relocatable.
> [x]  Package successfully compiles and builds into binary rpms on at least one
> supported architecture.
> [x]  Package is not known to require ExcludeArch.
> [x]  Package installs properly.
> [x]  Package obeys FHS, except libexecdir and /usr/target.
> [x]  Package meets the Packaging Guidelines. [6]
> 
> === SUGGESTED ITEMS ===
> [x]  Package functions as described.
> [x]  Latest version is packaged.
> [x]  Package does not include license text files separate from upstream.
> [x]  SourceX is a working URL.
> [x]  SourceX / PatchY prefixed with %{name}.
> [x]  Final provides and requires are sane (rpm -q --provides and rpm -q
> --requires).
> [x]  %check is present and all tests pass.
> [x]  Usually, subpackages other than devel should require the base package
> using a fully versioned dependency.
> [x]  Reviewer should test that the package builds in mock.
> [x]  Package should compile and build into binary rpms on all supported
> architectures.
> [x]  Dist tag is present.
> [x]  Spec use %global instead of %define.
> [x]  Scriptlets must be sane, if used.
> [x]  The placement of pkgconfig(.pc) files are correct.
> [x]  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]  Packages should try to preserve timestamps of original installed files.
> [x]  File based requires are sane.
> [x]  Uses parallel make.
> 
> === Issues ===
> 1. Why the commented out: 
> 
> #BuildRequires:  libICE-devel
> #Requires:       dbus-x11

left-overs from your Thunar.spec I guess.

> I'm happy to co-maintain.


New Package SCM Request
=======================
Package Name: thunar-vfs
Short Description: Virtual filesystem shipped with Thunar 1.0 and earlier releases
Owners: cwickert kevin
Branches: 
InitialCC:
Comment 4 Jens Petersen 2010-12-08 20:07:23 EST
Git done (by process-git-requests).
Comment 5 Christoph Wickert 2011-01-09 15:49:47 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.